public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Michał Górny" <mgorny@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-libs/libdbusmenu/
Date: Sun,  6 Aug 2017 13:58:12 +0000 (UTC)	[thread overview]
Message-ID: <1502027646.89e4e5b251405a4a9889e6c347b5ae312bb7a68d.mgorny@gentoo> (raw)

commit:     89e4e5b251405a4a9889e6c347b5ae312bb7a68d
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Mon Jul 17 19:59:16 2017 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Sun Aug  6 13:54:06 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=89e4e5b2

dev-libs/libdbusmenu: Bump to 16.04.0, fix tests, EAPI=6

 dev-libs/libdbusmenu/Manifest                   |   1 +
 dev-libs/libdbusmenu/libdbusmenu-16.04.0.ebuild | 149 ++++++++++++++++++++++++
 2 files changed, 150 insertions(+)

diff --git a/dev-libs/libdbusmenu/Manifest b/dev-libs/libdbusmenu/Manifest
index 3bd215e27f4..7449b4cae50 100644
--- a/dev-libs/libdbusmenu/Manifest
+++ b/dev-libs/libdbusmenu/Manifest
@@ -1 +1,2 @@
 DIST libdbusmenu-12.10.2.tar.gz 735730 SHA256 9d6ad4a0b918b342ad2ee9230cce8a095eb601cb0cee6ddc1122d0481f9d04c9 SHA512 cf2e50dc3adbf35d0a4ccdd62a3efd9fae2d079b8d06e6522b70f077f89ac2cf72188e380f476e38d184b69549e90b801bf1e32174fa94bbe612dd52aec94496 WHIRLPOOL 3e75fd0bcbadcff8f4e4cd3a2be33a3aa7cf715413b1a67c5430b9420a965d64db2d988fa5c21fc42c6458ad4ed479c400b28b8a94074cb7223ab0a03ad985eb
+DIST libdbusmenu-16.04.0.tar.gz 760376 SHA256 b9cc4a2acd74509435892823607d966d424bd9ad5d0b00938f27240a1bfa878a SHA512 ee9654ac4ed94bdebc94a6db83b126784273a417a645b2881b2ba676a5f67d7fc95dd2bb37bfb0890aa47299ed73cb21ed7de8b75f3fed6b69bfd39065062241 WHIRLPOOL 0242614bf02ad9028e0a9c697dd7bf5ad35665b6fd73eaad9669345f8800e841cacb7912ffeb9ee38b7b3568b6d8141a42e4aee2f292e5df2b9a9cab77d869e4

diff --git a/dev-libs/libdbusmenu/libdbusmenu-16.04.0.ebuild b/dev-libs/libdbusmenu/libdbusmenu-16.04.0.ebuild
new file mode 100644
index 00000000000..5b4dc1f1df4
--- /dev/null
+++ b/dev-libs/libdbusmenu/libdbusmenu-16.04.0.ebuild
@@ -0,0 +1,149 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+VALA_MIN_API_VERSION=0.16
+VALA_USE_DEPEND=vapigen
+PYTHON_COMPAT=( python2_7 )
+VIRTUALX_REQUIRED=manual
+
+inherit flag-o-matic multilib-minimal python-single-r1 vala virtualx \
+	xdg-utils
+
+DESCRIPTION="Library to pass menu structure across DBus"
+HOMEPAGE="https://launchpad.net/dbusmenu"
+SRC_URI="https://launchpad.net/${PN/lib}/${PV%.*}/${PV}/+download/${P}.tar.gz"
+
+LICENSE="LGPL-2.1 LGPL-3"
+SLOT="0"
+KEYWORDS="~amd64 ~arm"
+IUSE="debug gtk gtk3 +introspection test"
+
+REQUIRED_USE="${PYTHON_REQUIRED_USE}"
+
+RDEPEND="
+	>=dev-libs/dbus-glib-0.100[${MULTILIB_USEDEP}]
+	>=dev-libs/glib-2.35.4[${MULTILIB_USEDEP}]
+	dev-libs/libxml2[${MULTILIB_USEDEP}]
+	${PYTHON_DEPS}
+	gtk? ( x11-libs/gtk+:2[introspection?,${MULTILIB_USEDEP}] )
+	gtk3? ( >=x11-libs/gtk+-3.2:3[introspection?,${MULTILIB_USEDEP}] )
+	introspection? ( >=dev-libs/gobject-introspection-1 )
+	!<${CATEGORY}/${PN}-0.5.1-r200"
+# tests also have optional dep on valgrind which we do not enforce
+DEPEND="${RDEPEND}
+	app-text/gnome-doc-utils
+	dev-util/intltool
+	sys-devel/gettext
+	virtual/pkgconfig[${MULTILIB_USEDEP}]
+	introspection? ( $(vala_depend) )
+	test? (
+		>=dev-libs/json-glib-0.13.4[${MULTILIB_USEDEP}]
+		>=dev-util/dbus-test-runner-15.04.0_p100
+		gtk? ( ${VIRTUALX_DEPEND} )
+		gtk3? ( ${VIRTUALX_DEPEND} )
+	)"
+
+pkg_setup() {
+	xdg_environment_reset
+	python-single-r1_pkg_setup
+}
+
+src_prepare() {
+	if use introspection; then
+		vala_src_prepare
+		export VALA_API_GEN="${VAPIGEN}"
+	fi
+	python_fix_shebang tools
+
+	eapply_user
+}
+
+multilib_src_configure() {
+	append-flags -Wno-error #414323
+
+	local myconf=(
+		--cache-file="${BUILD_DIR}"/config.cache
+		--disable-gtk
+		--disable-static
+		# dumper extra tool is only for GTK+-2.x
+		--disable-dumper
+		$(multilib_native_use_enable introspection)
+		$(multilib_native_use_enable introspection vala)
+		$(use_enable debug massivedebugging)
+		$(use_enable test tests)
+	)
+	local ECONF_SOURCE=${S}
+	econf "${myconf[@]}"
+
+	GTK_VARIANTS=( $(usex gtk 2 '') $(usex gtk3 3 '') )
+	local MULTIBUILD_VARIANTS=( "${GTK_VARIANTS[@]}" )
+	local top_builddir=${BUILD_DIR}
+
+	gtk_configure() {
+		local gtkconf=(
+			"${myconf[@]}"
+			--enable-gtk
+			--with-gtk="${MULTIBUILD_VARIANT}"
+		)
+		mkdir -p "${BUILD_DIR}" || die
+		cd "${BUILD_DIR}" || die
+		econf "${gtkconf[@]}"
+
+		rm -r libdbusmenu-glib || die
+		ln -s "${top_builddir}"/libdbusmenu-glib libdbusmenu-glib || die
+	}
+	[[ ${GTK_VARIANTS[@]} ]] && multibuild_foreach_variant gtk_configure
+}
+
+gtk_emake() {
+	emake -C "${BUILD_DIR}"/libdbusmenu-gtk "${@}"
+	multilib_is_native_abi && \
+		emake -C "${BUILD_DIR}"/docs/libdbusmenu-gtk "${@}"
+}
+
+multilib_src_compile() {
+	emake
+
+	local MULTIBUILD_VARIANTS=( "${GTK_VARIANTS[@]}" )
+	[[ ${GTK_VARIANTS[@]} ]] && multibuild_foreach_variant \
+		gtk_emake
+}
+
+multilib_src_test() {
+	emake check
+
+	gtk_test() {
+		# please keep the list of GTK+ tests up-to-date
+		emake -C "${BUILD_DIR}"/tests check \
+			TESTS="test-gtk-objects-test test-gtk-label
+				test-gtk-shortcut test-gtk-reorder test-gtk-remove"
+	}
+	local MULTIBUILD_VARIANTS=( "${GTK_VARIANTS[@]}" )
+	[[ ${GTK_VARIANTS[@]} ]] && virtx multibuild_foreach_variant \
+		gtk_test
+}
+
+multilib_src_install() {
+	emake -j1 DESTDIR="${D}" install
+
+	local MULTIBUILD_VARIANTS=( "${GTK_VARIANTS[@]}" )
+	[[ ${GTK_VARIANTS[@]} ]] && multibuild_foreach_variant \
+		gtk_emake -j1 install DESTDIR="${D}"
+}
+
+multilib_src_install_all() {
+	einstalldocs
+	find "${D}" -name '*.la' -delete || die
+}
+
+pkg_preinst() {
+	# kill old symlinks that Portage will preserve and break install
+	if [[ -L ${EROOT}/usr/share/gtk-doc/html/libdbusmenu-glib ]]; then
+		rm -v "${EROOT}/usr/share/gtk-doc/html/libdbusmenu-glib" || die
+	fi
+	if [[ -L ${EROOT}/usr/share/gtk-doc/html/libdbusmenu-gtk ]]; then
+		rm -v "${EROOT}/usr/share/gtk-doc/html/libdbusmenu-gtk" || die
+	fi
+}


             reply	other threads:[~2017-08-06 13:58 UTC|newest]

Thread overview: 42+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2017-08-06 13:58 Michał Górny [this message]
  -- strict thread matches above, loose matches on Subject: below --
2023-03-09  1:09 [gentoo-commits] repo/gentoo:master commit in: dev-libs/libdbusmenu/ Sam James
2023-01-01 14:48 David Seifert
2022-09-01 18:32 Andreas Sturmlechner
2022-09-01 17:50 Matt Turner
2022-08-29 19:30 Jakov Smolić
2022-08-29 19:30 Jakov Smolić
2022-08-29  7:21 Agostino Sarubbo
2022-08-29  7:18 Agostino Sarubbo
2022-08-28 18:20 Arthur Zamarin
2022-08-28 16:32 Arthur Zamarin
2022-08-28  6:49 WANG Xuerui
2022-06-14 15:14 Sam James
2021-05-25 14:21 Yixun Lan
2021-03-28 19:44 Sam James
2021-02-18 22:08 Sam James
2021-02-08  6:11 Sam James
2020-04-23  8:10 Sergei Trofimovich
2019-11-30  1:46 Aaron Bauman
2019-11-30  1:46 Aaron Bauman
2019-08-06  6:28 Andreas Sturmlechner
2018-10-14 13:35 Andreas Sturmlechner
2018-09-15 20:05 Andreas Sturmlechner
2018-09-14  8:28 Tobias Klausmann
2018-08-18  3:55 Mikle Kolyada
2018-08-16 12:03 Thomas Deutschmann
2018-03-18  0:12 Matt Turner
2017-12-21 21:54 Sergei Trofimovich
2017-11-06 10:59 Michael Palimaka
2017-09-24 12:23 Sergei Trofimovich
2017-09-12  8:12 Sergei Trofimovich
2017-08-30  8:14 Alexis Ballier
2017-08-09 22:12 Sergei Trofimovich
2017-06-30  5:30 Alexis Ballier
2016-06-26 17:57 Michael Palimaka
2016-06-05 18:34 Michael Palimaka
2016-03-17 10:50 Agostino Sarubbo
2016-01-17 17:02 Agostino Sarubbo
2016-01-10 10:34 Agostino Sarubbo
2016-01-09  6:43 Agostino Sarubbo
2016-01-05 11:24 Agostino Sarubbo
2015-12-27 11:20 Jeroen Roovers

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1502027646.89e4e5b251405a4a9889e6c347b5ae312bb7a68d.mgorny@gentoo \
    --to=mgorny@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox